# RPM specfile for gnome-spell module
# Generated Wed Sep 18 16:42:33 2002 GMT by Ximian build system
# $Id: bb_do,v 1.192 2002/08/07 17:36:36 thunder Exp $
# from $Id: ximian-build.conf,v 1.6 2002/09/18 13:48:08 dobey Exp $

%define nam	gnome-spell
%define ver	0.5
%define ximrev	2

Name:     	gnome-spell
Version: 	0.5
Release:	1.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://gnome.org/
Source0:	gnome-spell-0.5.tar.gz
Patch0:		gnome-spell-remove-bashism-from-configure_in.patch
Summary:	GNOME spell checking component
Group:		Applications/Text
Provides:	ximian-gnome-spell = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Gnome Spell is GNOME/Bonobo component for spell checking. It
contains the GNOME::Spell::Dictionary object, which provides a spell
checking dictionary (see Spell.idl for exact API definition). It is
based on pspell.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
/usr/bin/gnome-spell-component-0.5
/usr/share/gnome-spell/*
/usr/share/idl/*.idl
/usr/share/oaf/*.oafinfo
/usr/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-spell-0.5
    ;;
all)
%setup  -q -n gnome-spell-0.5
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Sep 18 2002 Ximian, Inc.

- Version: 0.5-1.ximian.2
- Summary: New build.
- New automated build.

* Mon Jul 8 2002 Ximian, Inc.

- Version: 0.4.1-1.ximian.1
- Summary: New build.
- New automated build.

